package filemanager;

import com.vmx.Locale;
import javax.microedition.lcdui.*;

public class frmEULA extends Form implements CommandListener
{
	public frmEULA()
	{
		super("");
		setTitle(Locale.getString(this, Locale.LICENSE_AGR));

		append(Locale.getLicenseString());
		addCommand(new Command(Locale.getString(this, Locale.NO_CMD), Command.EXIT, 1));
		addCommand(new Command(Locale.getString(this, Locale.YES_CMD), Command.OK, 1));
		setCommandListener(this);
	}
	
	public void commandAction(Command command, Displayable displayable)
	{
		if(command.getCommandType() == Command.OK)
		{
			options.firstTime = 0;
			main.startUI();
		}
		else if(command.getCommandType() == Command.EXIT)
		{
			options.firstTime = 1;
			main.destroyApp();
		}
	}
}
